<?php

namespace Classes;

class Auth {
	
	/**
	 * Load the auth-driver
	 */
	public function __construct() {
		$this->auth = \Load::auth_driver(\Config::get('general', 'auth_driver'));
	}
	
	/**
	 * Forward all calls to auth-driver
	 *
	 * @param string $name
	 * @param array $parameters
	 */
	public function __call($name, $parameters) {
		return call_user_func_array(array($this->auth, $name), $parameters);
	}
	
}