<?php

/**
 * Error
 * 
 * A function to be called within a fatal erro that
 * requires the application to stop entirely.
 * 
 * Displays a styled message, if given.
 *
 * @param string $message
 */
function error($message = false) {
	
	if($message !== false) {
		
		echo '<html>';
		echo '<head>';
			
			echo '<title>An error occurred</title>';
			
		echo '</head>';
		echo '<body>';
			
			$styles = array(
				'margin' => '30px',
				'padding' => '10px 13px',
				'font' => '15px/18px sans-serif',
				'background' => '#ECC6C8',
				'border-radius' => '4px',
				'color' => '#5C1F27'
			);
			
			echo '<div style="';
			foreach($styles as $key => $value) echo $key.':'.$value.';';
			echo '">';
			
			echo $message;
			
			echo '</div>';
			
		echo '</body>';
		echo '</html>';
		
	}
	
	// Quit the application
	exit;
	
}