<?php

namespace Types;
use \Skeletons\Type;

class Textbox extends Type {
	
	/**
	 * Display a normal text-input
	 */
	public function input($field, $value) {
		return '<textarea name="'.$field['id'].'" id="input-'.$field['id'].'">'.$value.'</textarea>';
	}
	
	/**
	 * If the value is longer than 40 characters, split
	 * it and add an ellipsis
	 */
	public function in_listing($field, $value) {
		return strlen($value) > 40 ? substr($value, 0, 40).'...' : $value;
	}
	
}