<?php

namespace Skeletons;

class AuthDriver {
	
	/**
	 * Set session
	 *
	 * @param mixed $value
	 */
	public function set_session($value) {
		$_SESSION[\Config::get('auth', 'session_key')] = $value;
	}
	
	/**
	 * Get session
	 *
	 * @return mixed
	 */
	public function get_session() {
		return isset($_SESSION[\Config::get('auth', 'session_key')])
			? $_SESSION[\Config::get('auth', 'session_key')]
			: false;
	}
	
	/**
	 * Unset session
	 *
	 * @return [type]
	 */
	public function unset_session() {
		unset($_SESSION[\Config::get('auth', 'session_key')]);
	}
	
	/**
	 * Check if currently authenticated
	 *
	 * @return boolean
	 */
	public function check() {
		return false;
	}
	
	/**
	 * Attempt to log in
	 * 
	 * Returns true/false accordingly
	 *
	 * @param string $username
	 * @param string $password
	 *
	 * @return boolean
	 */
	public function attempt($username, $password) {
		return false;
	}
	
	/**
	 * Get current user + info
	 *
	 * @return mixed
	 */
	public function user() {
		return false;
	}
	
	/**
	 * Log out
	 */
	public function logout() {
		return false;
	}
	
}