<?php echo Load::view('templates/header')->with('title', __('Log in')); ?>
	
	<div class="header">
		<h1><?php _e('Log in'); ?></h1>
	</div>
	
	<form action="<?php echo url('login/action'); ?>?redirect=<?php echo Input::get('redirect'); ?>" method="post" class="form">
		
		<div class="field">
			
			<label for="input-username">
				<?php _e('Username'); ?>
			</label>
			
			<div class="content">
				<input type="text" id="input-username" name="username" />
			</div>
			
		</div>
		
		<div class="field">
			
			<label for="input-password">
				<?php _e('Password'); ?>
			</label>
			
			<div class="content">
				<input type="password" id="input-password" name="password" />
			</div>
			
		</div>
		
		<div class="field">
			
			<div class="content">
				<button type="submit">
					<?php _e('Log in'); ?>
				</button>
			</div>
			
		</div>
		
	</form>
	
<?php echo Load::view('templates/footer'); ?>