<?php echo Load::view('templates/header')->with('title', $section->title); ?>
	
	<div class="header">
		
		<a href="<?php echo url($section->url.'/add'); ?>" class="right button">
			<?php _e('Create'); ?>
		</a>
		
		<h1><?php echo $section->title; ?></h1>
		
	</div>
	
	<form action="<?php echo url($section->url.'/delete'); ?>" method="post">
		
		<?php /*<p>
			
			<a href="<?php echo url($section->url.'/add'); ?>" class="btn btn-small btn-inverse">
				<?php _e('Add new row'); ?>
			</a>
			
			<button type="submit" class="btn btn-small btn-danger">
				<?php _e('Remove selected rows'); ?>
			</button>
			
			<a href="<?php echo url($section->url.'/search'); ?>" class="btn btn-small btn-link pull-right">
				<?php _e('Search'); ?>
			</a>
			
		</p>*/ ?>
		
		<div class="table-tools">
			
			<button type="submit" class="btn btn-small btn-danger">
				<?php _e('Remove selected rows'); ?>
			</button>
			
		</div>
		
		<table>
			
			<thead>
				
				<tr>
					
					<th width="40"><input type="checkbox" class="select-all" /></th>
					
					<th width="50">ID</th>
					
					<?php foreach($section->fields as $field): ?>
						<th>
							<?php echo $field['title']; ?>
						</th>
					<?php endforeach; ?>
					
				</tr>
				
			</thead>
			
			<tbody>
				
				<?php if(count($rows)): foreach($rows as $row): ?>
					
					<?php
						$link = array(
							'<a href="'.url($section->url.'/edit/'.$row['id']).'">',
							'</a>'
						);
					?>
					
					<tr>
						
						<td>
							<input type="checkbox" name="delete[]" value="<?php echo $row['id']; ?>" />
						</td>
						
						<td>
							<?php if($section->link == 'id') echo $link[0]; ?>
								<?php echo $row['id']; ?>
							<?php if($section->link == 'id') echo $link[1]; ?>
						</td>
						
						<?php foreach($section->fields as $field): ?>
							<td>
								<?php if($section->link == $field['id']) echo $link[0]; ?>
									<?php if(!isset($field['type'])) $field['type'] = ''; ?>
									<?php echo Load::type($field['type'])->in_listing($field, $row[$field['id']]); ?>
								<?php if($section->link == $field['id']) echo $link[1]; ?>
							</td>
						<?php endforeach; ?>
						
					</tr>
				<?php endforeach; else: ?>
					
					<tr>
						
						<td colspan="<?php echo count($section->fields) + 1; ?>">
							<div class="alert alert-info">
								<?php _e('(empty)'); ?>
							</div>
						</td>
						
					</tr>
					
				<?php endif; ?>
				
			</tbody>
			
		</table>
		
	</form>
	
	<?php /*<div class="pagination pagination-centered">
		<ul>
			<li <?php echo $pages['current'] == 1 ? 'class="disabled"' : ''; ?>><a href="">&laquo;</a></li>
			<?php for($i = 1; $i <= $pages['total']; $i++): ?>
				<li <?php echo $pages['current'] == $i ? 'class="active"' : ''; ?>>
					<a href="?page=<?php echo $i; ?>"><?php echo $i; ?></a>
				</li>
			<?php endfor; ?>
			<li <?php echo $pages['current'] == $pages['total'] ? 'class="disabled"' : ''; ?>><a href="">&raquo;</a></li>
		</ul>
	</div>*/ ?>
	
<?php echo Load::view('templates/footer')->with('js', 'browse'); ?>