<!DOCTYPE html>
<html>
	
	<head>
		
		<meta charset="utf-8" />
		
		<title><?php echo isset($title) ? $title.' &raquo; ' : ''; ?>Abundant</title>
		
		<link rel="stylesheet" href="<?php echo asset('css/main.css'); ?>" />
		
	</head>
	
	<body>
		
		<?php if(Auth::check() !== false): ?>
			
			<div id="top">
				<div class="wrapper">
					
					<ul class="left">
						
						<?php
							
							$segments = Registry::get('segments');
							
							$nav = array();
							$nav[] = array(
								'dashboard',
								'Dashboard',
								$segments[0] == 'dashboard'
							);
							
							foreach(folder(APP.'/sections', false) as $name) {
								
								$section = Load::section($name);
								
								$nav[] = array(
									$section->url,
									$section->title,
									$segments[0] == 'section' && $segments[1] == $section->id
								);
								
							}
							
						?>
						
						<?php foreach($nav as $item): ?>
							<li>
								<a href="<?php echo url($item[0]); ?>" <?php echo $item[2] ? 'class="selected"' : ''; ?>>
									<?php echo $item[1]; ?>
								</a>
							</li>
						<?php endforeach; ?>
						
					</ul>
					
					<ul class="right">
						<li>
							<a href="<?php echo url('logout'); ?>"><?php _e('Log out'); ?></a>
						</li>
					</ul>
					
					<div class="clear"></div>
					
				</div>
			</div>
			
		<?php endif; ?>
		
		<div id="content" class="wrapper">
			
			<?php Message::print_messages(); ?>